<div class="filter-container" [style.min-width]="isCollapsed ? '40px' : '240px'">
    <div class="filter-main-container" *ngIf="!isCollapsed">
        <label class="filter-category-label">{{ "Category" | localize }}</label>
        <div *ngFor="let category of categories" class="filter-category-container">
            <button class="filter-category-button" (click)="onCategoryClick(category)">{{"name" | localize: category }}</button>
            <img [ngStyle]="{'visibility': selectedCategories.includes(category.id) ? 'visible': 'collapse'}" class="filter-category-icon" src="assets/check-mark.png">
        </div>
        
        <label class="filter-purpose-label">{{ "Purpose" | localize }}</label>
        <div *ngFor="let purpose of purposes" class="filter-purpose-container">
            <button class="filter-purpose-button" (click)="onPurposeClick(purpose)">{{"name" | localize: purpose}}</button>
            <img [ngStyle]="{'visibility': selectedPurposes.includes(purpose.id) ? 'visible': 'collapse'}" class="filter-purpose-icon" src="assets/check-mark.png">
        </div>
    </div>
    <button class="collapse-button" (click)="onCollapseClick()"><img id="collapse-img" [ngClass]="isCollapsed ? '' : 'arrow-left'" src="assets/fast-forward.png"></button>
</div>